To install the patch, do the following:

        # cd /usr/src/usr.bin                   (or elsewhere)
        # tar xvfz .../openssh-3.0.1.tgz
        # cd ssh
        # patch -p0 < openbsd29_3.0.1.patch
        # make obj
        # make cleandir
        # make depend
        # make
        # make install
        # cp ssh_config sshd_config /etc

diff -Nur sshd/Makefile sshd/Makefile
--- sshd/Makefile	Sun Oct  7 20:14:20 2001
+++ sshd/Makefile	Tue Oct 16 13:31:53 2001
@@ -7,7 +7,8 @@
 BINMODE=555
 BINDIR=	/usr/sbin
 MAN=	sshd.8
-CFLAGS+=-DHAVE_LOGIN_CAP -DBSD_AUTH
+CFLAGS+=-DHAVE_LOGIN_CAP
+#CFLAGS+=-DBSD_AUTH
 
 SRCS=	sshd.c auth-rhosts.c auth-passwd.c auth-rsa.c auth-rh-rsa.c \
 	sshpty.c sshlogin.c servconf.c serverloop.c \
@@ -47,8 +48,8 @@
 DPADD+= ${LIBWRAP}
 .endif
 
-#.if (${SKEY:L} == "yes")
-#CFLAGS+= -DSKEY
-#LDADD+= -lskey
-#DPADD+= ${SKEY}
-#.endif
+.if (${SKEY:L} == "yes")
+CFLAGS+= -DSKEY
+LDADD+= -lskey
+DPADD+= ${SKEY}
+.endif
